# Hotel booking web application with PHP

This project is a fullstack hotel booking and admin dashboard using PHP and MySQL. It involves building a web application where users can search for available rooms, book rooms, and manage their reservations. The admin dashboard allows the hotel management to manage bookings, rooms, and handle user accounts. 

## User overview
This typically includes feature such as room availability checking, booking confirmation, and user authentication.

#### User interface
* Homepage => display the hotel information and search functionality.
* Room search => allows user to search for available tooms based on dates and guests.
* User registeration and login => users can create account and log in to their account and book rooms.
* Booking form => collects user details and booking information.
* Booking confirmation => shows the booking details.
* User account => allows users to view and manage their booking.

#### Backend
* PHP scripts => handle form submission and database interaction.
* MySQL => store information about rooms, bookings, users, etc.

## Admin dashboard overview
This typically includes features for viewing and managing bookings, adding or updating room details, and manage user accounts.

#### User interface 
* Dashboard => provides and overview of system status.
* Manage rooms => allows adding, updating and deleting rooms.
* Manage bookings => provides a list of booking with options to update or cancel.
* Manage users => allows viewing and manging user accounts.

#### Backend
* PHP scripts => handle admin actions, form submissions, and database interactions.
* MySQL => uses the same schema as the booking system.

## Web application architecture diagram 
The diagram shows the overall web application with both user and admin interface. 

<p><img src="./diagram/web_app_architect_diagram.png" width="800" height="380" /></p>

## Database architecture diagram 
The diagram shows the structural design of a database system. Please see a \.sql file to create tables. 
<p><img src="./diagram/database_architecture_diagram.png" width="800" height="380" /></p>

## Additional information
This project uses [SendGrid](https://sendgrid.com/en-us) for sending emails to users for email verification during account registration. To implement SendGrid with PHP, please read [The Official Twilio SendGrid PHP API Library](https://github.com/sendgrid/sendgrid-php).
