<?php

    require('../admin/components/db_config.php');
    require('../admin/components/utils.php');
    require('../admin/components/api.php');
    require('../components/sendgrid/sendgrid-php.php');

    date_default_timezone_set("America/Chicago");

    //sendgrid
    function send_mail($mail, $name, $token){
        $email = new \SendGrid\Mail\Mail(); 
        $email->setFrom(SENDGRID_EMAIL, SENDGRID_SENDER); //setup in api.php
        $email->setSubject("Account Verification Link");

        $email->addTo($mail, $name);
        $email->addContent(
            "text/html", 
            "Please verify your email by clicking the link below: <br>
            <a href='".SITE_URL."email_confirm.php?email_confirmation&email=$mail&token=$token"."'>Click here</a>
            "
        );
    
        $sendgrid = new \SendGrid(SENDGRID_API_KEY); //setup in api.php

        if($sendgrid->send($email)){
            return 1;
        } else{
            return 0;
        }
        
    }
    //register
    if(isset($_POST['register'])){
        $data = filteration($_POST);

        //password confirmation
        if($data['password'] != $data['cpassword']){
            echo 'pass_mismatch';
            exit;
        } 
        //check user existing
        $user_exist = select("SELECT * FROM `user_creds` WHERE `email`=? AND `phone`=? LIMIT 1", [$data['email'], $data['phone']], "ss");

        if(mysqli_num_rows($user_exist) != 0){
            $user_exist_fetch = mysqli_fetch_assoc($user_exist);
            echo ($user_exist_fetch['email'] == $data['email']) ? 'email_already' : 'phone_already';
            exit;
        }
        //send confirmation to user email (sendGrid provider)

        $token = bin2hex(random_bytes(16));

        if(!send_mail($data['email'], $data['firstname'], $token)){
            echo 'mail_failed';
            exit;
        }

        $enc_pass = password_hash($data['password'], PASSWORD_BCRYPT);
        $query = "INSERT INTO `user_creds`(`firstname`, `email`, `lastname`, `phone`, `birth`, `address`, `password`, `token`) VALUES (?, ?, ?, ?, ?, ?, ?, ?)";
        $values = [$data['firstname'], $data['email'], $data['lastname'], $data['phone'], $data['birth'], $data['address'], $enc_pass, $token];

        if(insert($query, $values, 'ssssssss')){
            echo 1;
        } else{
            echo 'ins_failed';
        }

    }
    //login
    if(isset($_POST['login'])){
        $data = filteration($_POST);
        $user_exist = select("SELECT * FROM `user_creds` WHERE `email`=? OR `phone`=? LIMIT 1", [$data['email'], $data['email']], "ss");

        if(mysqli_num_rows($user_exist) == 0){
            echo 'inv_email';
        } else{
           $user_fetch = mysqli_fetch_assoc($user_exist); 
           if($user_fetch['is_verified'] == 0){
            echo 'not_verified';
           } else if($user_fetch['status'] == 0){
            echo 'inactive';
           } else{
            if(!password_verify($data['password'], $user_fetch['password'])){
                echo 'invalid_pass';
            } else{
                session_start();
                $_SESSION['login'] = true;
                $_SESSION['uerID'] = $user_fetch['id'];
                $_SESSION['userName'] = $user_fetch['firstname'];
                $_SESSION['userPhone'] = $user_fetch['phone'];
                echo 1;
            }
           }
        };
    }
?>